Bug 175779 - [update]: audio/liblastfm update to latest new version from lastfm
Summary: [update]: audio/liblastfm update to latest new version from lastfm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-02 10:50 UTC by Veniamin
Modified: 2013-03-06 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (8.27 KB, patch)
2013-02-02 10:50 UTC, Veniamin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Veniamin 2013-02-02 10:50:00 UTC
Update to latest version of liblastfm with official support.

Detailed information: http://blog.last.fm/2013/01/31/lastfm-desktop-scrobbler-released
Comment 1 Edwin Groothuis freebsd_committer 2013-02-02 10:50:07 UTC
Maintainer of audio/liblastfm,

Please note that PR ports/175779 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175779

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-02-02 10:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Nicola Vitale freebsd_committer 2013-02-15 20:43:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

I will take it.
Comment 4 dfilter service freebsd_committer 2013-03-06 22:37:56 UTC
Author: nivit
Date: Wed Mar  6 22:37:48 2013
New Revision: 313548
URL: http://svnweb.freebsd.org/changeset/ports/313548

Log:
  - Update to 1.0.6  [1]
  - Trim header  [1]
  - Switch to the active, and officially supported by the Lasf.fm staff,
    fork on GitHub as master download site
  - Update COMMENT
  - Add LICENSE (GPLv3)
  - Add options FINGERPRINT (default ON), TESTS (default OFF)  [1]
  - Update WWW URL and description in pkg-descr
  - Remove files/*  [1]
  
  PR:	ports/175779
  Submitted by:	Veniamin Gvozdikov <g.veniamin@googlemail.com>  [1]
  Approved by:	Matt Tosto <datahead4@gmail.com> (mantainer timeout > 1 month)

Deleted:
  head/audio/liblastfm/files/
Modified:
  head/audio/liblastfm/Makefile   (contents, props changed)
  head/audio/liblastfm/distinfo   (contents, props changed)
  head/audio/liblastfm/pkg-descr   (contents, props changed)
  head/audio/liblastfm/pkg-plist   (contents, props changed)

Modified: head/audio/liblastfm/Makefile
==============================================================================
--- head/audio/liblastfm/Makefile	Wed Mar  6 22:31:04 2013	(r313547)
+++ head/audio/liblastfm/Makefile	Wed Mar  6 22:37:48 2013	(r313548)
@@ -1,46 +1,54 @@
-# New ports collection makefile for:	liblastfm
-# Date created:				Jun 7 2009
-# Whom:					Matt Tosto <datahead4@gmail.com>
-#
+# Created by: Matt Tosto <datahead4@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	liblastfm
-PORTVERSION=	0.3.3
-PORTREVISION=	4
+PORTVERSION=	1.0.6
+#PORTREVISION=	0
 CATEGORIES=	audio
-MASTER_SITES=	${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	swills
-DISTNAME=	mxcl-${PORTNAME}-${PORTVERSION}-0-gf0b3239
 
 MAINTAINER=	datahead4@gmail.com
-COMMENT=	Collection of libraries to help integrate Last.fm services
+COMMENT=	Qt C++ library for the Last.fm webservices
+
+LICENSE=	GPLv3
+
+LIB_DEPENDS=	fftw3:${PORTSDIR}/math/fftw3 \
+		fftw3f:${PORTSDIR}/math/fftw3-float \
+		samplerate:${PORTSDIR}/audio/libsamplerate
+
+CMAKE_ARGS=	-DCMAKE_COLOR_MAKEFILE:BOOL=OFF
+
+GH_ACCOUNT=	lastfm
+GH_COMMIT=	5826fe6
+GH_PROJECT=	liblastfm
+GH_TAGNAME=	${PORTVERSION}
 
-LIB_DEPENDS=	samplerate.1:${PORTSDIR}/audio/libsamplerate \
-		fftw3:${PORTSDIR}/math/fftw3 \
-		fftw3f:${PORTSDIR}/math/fftw3-float
-
-USE_CSTD=	gnu89
-USE_RUBY=	yes
-USE_GMAKE=	yes
-USE_QT4=	corelib xml network sql gui qtestlib \
-		qmake_build moc_build rcc_build uic_build
-HAS_CONFIGURE=	yes
-CONFIGURE_ARGS+=	-release --prefix ${PREFIX}
 MAKE_JOBS_UNSAFE=	yes
 
+OPTIONS_DEFINE=		FINGERPRINT TESTS
+FINGERPRINT_DESC=	Build the lastfm-fingerprint library
+TESTS_DESC=		Build liblastfm tests
+OPTIONS_DEFAULT=	FINGERPRINT
+
+USE_CMAKE=	yes
+USE_GITHUB=	yes
 USE_LDCONFIG=	yes
+USE_PKGCONFIG=	build
+USE_QT4=	dbus moc_build rcc_build network qmake_build qtestlib sql xml
 
-WRKSRC=		${WRKDIR}/mxcl-liblastfm-1c739eb
+.include <bsd.port.options.mk>
 
-.include <bsd.port.pre.mk>
-post-extract:
-	${REINPLACE_CMD} -e 's|#!/usr/bin/ruby|#!${RUBY_WITH_SUFFIX}|' ${WRKSRC}/configure
-	${REINPLACE_CMD} -e 's|\`ruby |`${RUBY_WITH_SUFFIX} |' ${WRKSRC}/configure
-	${REINPLACE_CMD} -e 's|__demos __tests||' ${WRKSRC}/admin/Makefile.rb
-	${REINPLACE_CMD} -e '/QMAKE_CXXFLAGS_RELEASE.*/d' \
-		-e 's|linux:|unix:|'  ${WRKSRC}/.qmake.cache
-	${FIND} ${WRKSRC}/admin -type f | ${XARGS} \
-		 ${REINPLACE_CMD} -e 's|#!/usr/bin/ruby|#!${RUBY_WITH_SUFFIX}|'
+.if ${PORT_OPTIONS:MFINGERPRINT}
+CMAKE_ARGS+=	-DBUILD_FINGERPRINT:BOOL=ON
+PLIST_SUB+=	FINGERPRINT=""
+.else
+CMAKE_ARGS+=	-DBUILD_FINGERPRINT:BOOL=OFF
+PLIST_SUB+=	FINGERPRINT="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MTESTS}
+CMAKE_ARGS+=	-DBUILD_TESTS:BOOL=ON
+.else
+CMAKE_ARGS+=	-DBUILD_TESTS:BOOL=OFF
+.endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/audio/liblastfm/distinfo
==============================================================================
--- head/audio/liblastfm/distinfo	Wed Mar  6 22:31:04 2013	(r313547)
+++ head/audio/liblastfm/distinfo	Wed Mar  6 22:37:48 2013	(r313548)
@@ -1,2 +1,2 @@
-SHA256 (mxcl-liblastfm-0.3.3-0-gf0b3239.tar.gz) = 2607ba6c1495bae8c0f93df1e6271ba5c4503ee53e5657d815fdd584e4df636c
-SIZE (mxcl-liblastfm-0.3.3-0-gf0b3239.tar.gz) = 111700
+SHA256 (liblastfm-1.0.6.tar.gz) = 3b7c92338b956573fa0832cb980a24762156f39406e2efeceb4af702137ab98e
+SIZE (liblastfm-1.0.6.tar.gz) = 119595

Modified: head/audio/liblastfm/pkg-descr
==============================================================================
--- head/audio/liblastfm/pkg-descr	Wed Mar  6 22:31:04 2013	(r313547)
+++ head/audio/liblastfm/pkg-descr	Wed Mar  6 22:37:48 2013	(r313548)
@@ -1,4 +1,5 @@
 liblastfm is a collection of libraries to help you integrate Last.fm services
-into your rich desktop software. It depends on Qt 4.4.
+into your rich desktop software. It is officially supported software developed
+by Last.fm staff.
 
-WWW: http://github.com/mxcl/liblastfm/tree/master
+WWW: http://github.com/lastfm/liblastfm

Modified: head/audio/liblastfm/pkg-plist
==============================================================================
--- head/audio/liblastfm/pkg-plist	Wed Mar  6 22:31:04 2013	(r313547)
+++ head/audio/liblastfm/pkg-plist	Wed Mar  6 22:37:48 2013	(r313548)
@@ -1,37 +1,37 @@
-include/lastfm/Album
-include/lastfm/Artist
-include/lastfm/Audioscrobbler
-include/lastfm/AuthenticatedUser
-include/lastfm/Fingerprint
-include/lastfm/FingerprintId
-include/lastfm/FingerprintableSource
-include/lastfm/InternetConnectionMonitor
-include/lastfm/Mbid
-include/lastfm/MutableTrack
-include/lastfm/NetworkAccessManager
-include/lastfm/ParseError
-include/lastfm/Playlist
-include/lastfm/RadioStation
-include/lastfm/RadioTuner
-include/lastfm/Scrobble
-include/lastfm/ScrobbleCache
-include/lastfm/ScrobblePoint
-include/lastfm/Tag
-include/lastfm/Track
-include/lastfm/UrlBuilder
-include/lastfm/User
-include/lastfm/XmlQuery
-include/lastfm/Xspf
+@comment $FreeBSD$
+include/lastfm/AbstractType.h
+include/lastfm/Album.h
+include/lastfm/Artist.h
+include/lastfm/Audioscrobbler.h
+include/lastfm/Auth.h
+include/lastfm/Chart.h
+%%FINGERPRINT%%include/lastfm/Fingerprint.h
+include/lastfm/FingerprintId.h
+%%FINGERPRINT%%include/lastfm/FingerprintableSource.h
+include/lastfm/InternetConnectionMonitor.h
+include/lastfm/Library.h
+include/lastfm/Mbid.h
+include/lastfm/NetworkAccessManager.h
+include/lastfm/NetworkConnectionMonitor.h
+include/lastfm/Playlist.h
+include/lastfm/RadioStation.h
+include/lastfm/RadioTuner.h
+include/lastfm/ScrobbleCache.h
+include/lastfm/ScrobblePoint.h
+include/lastfm/Tag.h
+include/lastfm/Tasteometer.h
+include/lastfm/Track.h
+include/lastfm/UrlBuilder.h
+include/lastfm/User.h
+include/lastfm/XmlQuery.h
+include/lastfm/Xspf.h
 include/lastfm/global.h
 include/lastfm/misc.h
 include/lastfm/ws.h
-include/lastfm.h
 lib/liblastfm.so
-lib/liblastfm.so.0
-lib/liblastfm.so.0.3
-lib/liblastfm.so.0.3.3
-lib/liblastfm_fingerprint.so
-lib/liblastfm_fingerprint.so.0
-lib/liblastfm_fingerprint.so.0.3
-lib/liblastfm_fingerprint.so.0.3.3
+lib/liblastfm.so.1
+lib/liblastfm.so.1.0.6
+%%FINGERPRINT%%lib/liblastfm_fingerprint.so
+%%FINGERPRINT%%lib/liblastfm_fingerprint.so.1
+%%FINGERPRINT%%lib/liblastfm_fingerprint.so.1.0.6
 @dirrm include/lastfm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Nicola Vitale freebsd_committer 2013-03-06 22:40:23 UTC
State Changed
From-To: feedback->closed

Committed, thanks!